Skip to main content
Clawise

Set vault state

PUT
/api/v1/vault/state

Initializes or rotates the vault data key. Provide the client-encrypted data key as a base64-encoded string.

First call initializes the vault. Subsequent calls rotate the key; credentials encrypted with the previous key must be re-encrypted by the client.

Request Body

application/json

encrypted_data_key*string

Encrypted data key, base64-encoded.

Response Body

application/json

application/json

curl -X PUT "https://api.clawise.dev/api/v1/vault/state" \  -H "Content-Type: application/json" \  -d '{    "encrypted_data_key": ""  }'